## GtkColorChooserWidget

GtkColorChooserWidget — A widget for choosing colors

## Functions

GtkWidget * | gtk_color_chooser_widget_new ()

## Properties

gboolean | show-editor | Read / Write

## Types and Values

struct | GtkColorChooserWidget
struct | GtkColorChooserWidgetClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkColorChooserWidget

## Implemented Interfaces

GtkColorChooserWidget implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkColorChooser.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkColorChooserWidget widget lets the user select a color. By default, the chooser presents a predefined palette of colors, plus a small number of settable custom colors. It is also possible to select a different color with the single-color editor. To enter the single-color editing mode, use the context menu of any color of the palette, or use the '+' button to add a new custom color.

The chooser automatically remembers the last selection, as well as custom colors.

To change the initially selected color, use `gtk_color_chooser_set_rgba()`. To get the selected color use `gtk_color_chooser_get_rgba()`.

The GtkColorChooserWidget is used in the GtkColorChooserDialog to provide a dialog for selecting colors.

## Functions

### gtk_color_chooser_widget_new ()

    GtkWidget *
    gtk_color_chooser_widget_new (void);

Creates a new GtkColorChooserWidget.

#### Returns

a new GtkColorChooserWidget

Since: 3.4

## Types and Values

### struct GtkColorChooserWidget

    struct GtkColorChooserWidget;

### struct GtkColorChooserWidgetClass

    struct GtkColorChooserWidgetClass {
      GtkBoxClass parent_class;
    };

#### Members

## Property Details

### The `“show-editor”` property

      “show-editor”              gboolean

The ::show-editor property is `TRUE` when the color chooser is showing the single-color editor. It can be set to switch the color chooser into single-color editing mode.

Flags: Read / Write

Default value: FALSE

Since: 3.4

## See Also

GtkColorChooserDialog